package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.auth.api.entity.SysUser;

/**
 * 对应数据库表(extracurricular_exercises):
 */
public class ExtracurricularExercises {

	/**  */
	private Long id;
	
	/** 老师编号 */
	private Integer teacherId;
	
	private SysUser teacher = new SysUser();
	
	/** 学生列表 */
	private String studentIdList;
	
	/** 批次号 */
	private String batchNo;
	
	/** 标题 */
	private String title;
	
	/** 附件地址（多个用逗号分隔） */
	private String attachments;
	
	/** 作业内容 */
	private String content;
	
	/** 截止日期 */
	private java.util.Date expireDate;
	
	/** 完成人数 */
	private Integer completedNum;
	
	/** 预计人数 */
	private Integer expectNum;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private int isReplied;

	private int isSubmit;

	private int status;
	
	private String organName;

	private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

	public ImSendTypeEnum getMsgType() {
		return msgType;
	}

	public void setMsgType(ImSendTypeEnum msgType) {
		this.msgType = msgType;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public int getIsReplied() {
		return isReplied;
	}

	public void setIsReplied(int isReplied) {
		this.isReplied = isReplied;
	}

	public int getIsSubmit() {
		return isSubmit;
	}

	public void setIsSubmit(int isSubmit) {
		this.isSubmit = isSubmit;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}
			
	public void setStudentIdList(String studentIdList){
		this.studentIdList = studentIdList;
	}
	
	public String getStudentIdList(){
		return this.studentIdList;
	}
			
	public void setBatchNo(String batchNo){
		this.batchNo = batchNo;
	}
	
	public String getBatchNo(){
		return this.batchNo;
	}
			
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getTitle(){
		return this.title;
	}
			
	public void setAttachments(String attachments){
		this.attachments = attachments;
	}
	
	public String getAttachments(){
		return this.attachments;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setExpireDate(java.util.Date expireDate){
		this.expireDate = expireDate;
	}
	
	public java.util.Date getExpireDate(){
		return this.expireDate;
	}
			
	public void setCompletedNum(Integer completedNum){
		this.completedNum = completedNum;
	}
	
	public Integer getCompletedNum(){
		return this.completedNum;
	}
			
	public void setExpectNum(Integer expectNum){
		this.expectNum = expectNum;
	}
	
	public Integer getExpectNum(){
		return this.expectNum;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public SysUser getTeacher() {
		return teacher;
	}

	public void setTeacher(SysUser teacher) {
		this.teacher = teacher;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
